#!/usr/bin/tclsh

# begin   10/22/03
# author  Rohit Kaul
# email   rohitkaul@sbcglobal.net

# License
# -------
# GPL
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.

# Warranty
# --------
# Absolutely none! Use at your own risk!

################################################################################
#   Set the correct background color here
#   (note: if lighter than f1f1f1, OOo will highlight in black)
	set background_color "#f1f1f1"

################################################################################

	set inpFlname "genBitmaps/userimages.png"
	set outFlname "genBitmaps/userimages.bmp"

    if { [file exists $inpFlname] == 0 } {
    	puts "Input png file not found"
    	puts "please run the static themer first"
        exit;
       }
	set bg $background_color

	exec convert -fill $bg -draw "color 0,0 reset" -draw "image Over 0,0
0,0 $inpFlname" +matte $inpFlname $outFlname
